X2Go Bug report logs - #840
missing chars in x2gousbmount

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>

Date: Thu, 9 Apr 2015 14:30:02 UTC

Severity: normal

Tags: pending

Found in version 1.5.0.0-0

Fixed in version 1.5.0.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#840; Package x2gothinclient. (Thu, 09 Apr 2015 14:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Apr 2015 14:30:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>
To: submit@bugs.x2go.org
Subject: missing chars in x2gousbmount
Date: Thu, 09 Apr 2015 16:28:55 +0200
[Message part 1 (text/plain, inline)]
Package: x2gothinclient
Version: 1.5.0.0-0

two chars are missing in the file /usr/lib/x2go/tce/x2gousbmount in line 66.

It states: 'int F "$name\n";'
and should be: 'print F "$name\n";




-- 
Kind regards

 Florian Wicke

Hetzner Online AG
Industriestr. 25
91710 Gunzenhausen / Germany
Tel: +49 9831 505-187
Fax: +49 9831 505-387
florian.wicke@hetzner.de
www.hetzner.com

Register Court: Registergericht Ansbach, HRB 3204
Management Board: Dipl. Ing. (FH) Martin Hetzner
Chairwoman of the Supervisory Board: Diana Rothhan

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#840; Package x2gothinclient. (Thu, 09 Apr 2015 16:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Apr 2015 16:00:01 GMT) Full text and rfc822 format available.

Message #10 received at 840@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 840-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 840@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as pending for release
Date: Thu, 9 Apr 2015 17:57:05 +0200 (CEST)
tag #840 pending
fixed #840 1.5.0.0
thanks

Hello,

X2Go issue #840 (src:x2gothinclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=d3ce68c

The issue will most likely be fixed in src:x2gothinclient (1.5.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d3ce68c710b4463fd43aa23a178ad1eb6d2f5856
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Apr 9 17:56:55 2015 +0200

    usbmount/x2gousbmount: fix typo int -> print. Fixes: #840.

diff --git a/debian/changelog b/debian/changelog
index 5f82a51..df8c0ae 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -95,6 +95,7 @@ x2gothinclient (1.5.0.0-0x2go1) UNRELEASED; urgency=low
   [ Mihai Moldovan ]
   * New upstream release (1.5.0.0):
     - Change string "X2go" to "X2Go" where appropriate.
+  * usbmount/x2gousbmount: fix typo int -> print. Fixes: #840.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 27 Feb 2014 12:03:00 +0100
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 09 Apr 2015 16:00:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1.5.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 09 Apr 2015 16:00:03 GMT) Full text and rfc822 format available.

Message sent on to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug#840. (Thu, 09 Apr 2015 16:00:03 GMT) Full text and rfc822 format available.

Message sent on to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug#840. (Mon, 25 Jan 2016 06:50:02 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 840-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 840@bugs.x2go.org
Subject: Bug#840: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Sun, 2 Dec 2018 04:19:16 +0100 (CET)
close #840
thanks

Hello,

we are very hopeful that X2Go issue #840 reported by you
has been resolved in the new release (1.5.0.0) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.5.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=448f3812eca5180f48b57d7988732eecd14b47dd;hp=d1a83c17ca9568f8ef5ec2bb89e754db5e8b7df3

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.5.0.0-0x2go1
Status: RELEASE
Date: Sun, 02 Dec 2018 04:10:28 +0100
Fixes: 419 718 719 726 840 997 1092 1136 1147
Changes:
 x2gothinclient (1.5.0.0-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (1.5.0.0):
     - Stop advertising GNOME in default session profile. Switching to MATE.
     - Use type=auto for automatic keyboard detection as default in example
       session profiles.
     - Avoid error message in x2gothinclient_shell if the chroot does not have
       a file-or-symlink /etc/resolv.conf.
     - Use resolv.conf file from host system when running x2gothinclient_upgrade.
     - Add COPYING file.
     - Run x2gothinclient_shell and x2gothinclient_upgrade with LANG=C.
     - Don't run x2gothinclient_init inside TCE chroot operations
       (x2gothinclient_shell or x2gothinclient_upgrade).
     - Avoid x2gothinclient_init failures, use if..then..fi instead of
       the test command.
     - Init scripts: Provide status option.
     - Use lazy unmounts for unmounting bind-mounted /proc, /sys, /dev/pts
       after exiting the TCE chroot (x2gothinclient_create, x2gothinclient_shell,
       x2gothinclient_upgrade, x2gothinclient_cleanup).
     - Assure that a tmpfs under <chroot>/root gets mounted and cleanly
       unmounted (x2gothinclient_shell, x2gothinclient_upgrade).
     - Use run-parts to initialize the TCE during runtime. (Fixes: #419).
     - New TCE component: x2gothinclient-minidesktop. Instead of using
       X2Go Client as login manager, we launch a minimal MATE desktop and
       connect to X2Go sessions from there.
       . Add WindowList applet to MATE panel.
       . On $HOME creation, copy x2gothinclient-minidesktop.desktop into
         ~/Desktop.
       . Provide init script for x2gothinclient-minidesktop to handle maintenance
         tasks if TCE is installed with in minidesktop flavour.
       . Tweak MATE minidesktop via GScheme overrides.
       . Launch MATE minidesktop via LightDM autologin feature.
       . Add XDG autostart .desktop file for the TCE's X2Go Client.
       . Add VERSION.<package> file for x2gothinclient-minidesktop.
       . Make X2Go TCE layout / appearance overridable by installing
         debian-edu-artwork package.
       . Use default X2Go Client background for x2gothinclient-minidesktop.
         Provide configurable desktop background instead. Install desktop
         background as desktop-base alternative.
       . On minidesktop TCE creation based on wheezy, pull in packages from
         wheezy-backports (i.e. MATE desktop environment).
       . MATE Application menu: Move the default X2Go Client .desktop file out
         of the way (dpkg-divert) and provide the TCE's .desktop file instead.
       . Make sure that launching x2goclient via a terminal or the run command
         box in MATE results in the restricted TCE X2Go Client.
       . Make contrib and non-free software available on minidesktop TCE
         creation.
       . Disallow Caja to handle storage media (automounting, opening, etc.).
       . Enable usbmounts and smartcard rules for minidestop TCE flavour.
       . Enforce TCE session restart after logout.
       . Provide Web browser shortcut in the MATE panel.
       . Enable native-protocol-tcp module in pulseaudio on every X2Go Client
         launch. Allow access from local host only, require auth cookie.
     - Adapt management package to TCE flavouring. Add new configuration
       option in x2gothinclient_settings: TC_FLAVOUR (can be: minidesktop or
       displaymanager).
     - Use proper quotations in several X2Go TCE scripts.
     - Don't choke if /etc/resolv.conf in the TCE chroot is a symbolic link
       (in x2gothinclient_shell, x2gothinclient_upgrade).
     - README.i18n: Add file that explains the translation workflow for
       this package. Thanks to Mark Pedersen-Cook for drafting this file.
     - For X2Go TCE in display manager mode, set login backgrounds of all
       screens (if more than one is used) to a blue'ish background color.
       (Fixes: #718).
     - TCE in display manager mode: Don't align multiple heads next to
       one another if a (Wacom) touchscreen is detected in the list of heads.
       (Fixes: #719).
     - management/sbin/x2gothinclient_update: Create
       $TC_CHROOT/etc/x2go/x2gothinclient_init.d/ before copying files into it.
     - management/sbin/x2gothinclient_update: Consider known_hosts2 FreeRDP host
       key files, known_hosts was used for FreeRDP v1.x and are in fact
       deprecated nowadays.
     - management/sbin/x2gothinclient_create: Stop using deprecated --force-yes.
     - 010_x2gothinclient-fresh-home: Install FreeRDPv2's known_hosts2 file into
       ~x2gothinclient user's home dir when creating a fresh home.
     - x2gothinclient_sessions: Provide RDP-Direct session profile example that
       utilizes FreeRDPv2 rather than deprecated FreeRDPv1.x. (On Debian stretch,
       it is recommended to use FreeRDPv2 from Debian stretch-backports).
     - x2gothinclient-<TC-FLAVOUR>_start: Drop requirement of having symlink
       /etc/x2go/x2gothinclient_start. Now all code passages that use the _start
       wrapper, use the x2gothinclient-<TC-FLAVOUR>_start file directly.
   * debian/control:
     + Rename bin:package: x2gothinclient -> x2gothinclient-daemon.
     + Make sure x2gothinclient-minidesktop pulls in X11 and X2Go Client.
     + New bin:package: x2gothinclient-common. Commonly shared by
       x2gothinclient-minidesktop and x2gothinclient-displaymanager
     + Add D (displaymanager flavour, minidesktop flavour): pinentry-x2go.
     + Add D (x2gothinclient-minidesktop): lightdm.
     + Add R (x2gothinclient-minidesktop): flashplugin-nonfree.
     + Add R (x2gothinclient-chroot): ntp.
     + Move to Pre-D (x2gothinclient-minidesktop): x2goclient, lightdm. Make
       sure those packages are installed already avoiding dpkg-divert failures.
     + Allow co-installation of displaymanager and minidesktop bin:pkgs. They
       have no conflicting files and we should rather make the startup mode
       configurable through debconf.
   * debian/copyright:
     + Use copyright-format 1.0.
 .
   [ Stefan Baur ]
   * New upstream release (1.5.0.0):
     - Allow Xinerama / XRandR setup via /proc/cmdline. (Fixes: #726).
   * usbmount/x2gousbmount:
     - Make user pseudo-selectible via a variable and fix usage across file.
     - Try to create file-sharing facilities harder.
     - Fix desktop/thinclient mode detection. Fixes: #1136.
     - Set default username to x2gothinclient for MATE minidesktop builds, even
       for X2GO TCE Live builds.
     - Add support for (V)FAT, NTFS, HFS, HPFS and EXT* (via fuse-ext2) file
       systems.
 .
   [ Mark Pedersen-Cook ]
   * debian/po:
     + Add DebConf translation to Danish.
 .
   [ Kaan Ozdincer ]
   * debian/po:
     + Add DebConf translation to Turkish.
 .
   [ Mihai Moldovan ]
   * New upstream release (1.5.0.0):
     - Change string "X2go" to "X2Go" where appropriate.
     - displaymanager/init/x2gothinclient-displaymanager.init: fix unchanged
       "gdm" string in log message. Fixes: #997.
     - management/share/etc/x2gothinclient-minidesktop_start: correctly
       continue commented out command on the next line. Fixes: #1147.
     - displaymanager/sbin/x2gothinclientd: correctly break long strings over
       several lines and concatenate them.
     - management/share/etc/x2gothinclient_init.d/
       950_x2gothinclient-minidesktop: call Xsession in mate-minidesktop builds
       of X2Go TCE Live.
     - misc: update copyright notices, but for Mike Gabriel.
     - README.howto: fix typos.
     - misc: update http:// to https:// URLs where appropriate.
     - misc: drop whitespace from hashbangs.
     - debian/x2gothinclient-common.postrm: newline at EOF change.
     - misc: update Oleksandr's mail address.
     - misc manpages: whitespace only.
     - misc manpages: pre-release version and date updates.
     - cdmanager/powerej/mb.{cpp,h}: whitespace only.
     - cdmanager/powerej/powerej.pro: regenerate with Qt5's qmake and merge.
     - cdmanager/powerej/eject.cpp: use PlastiqueStyle with Qt4 and Fusion with
       Qt5.
     - cdmanager/powerej/eject.cpp: include QStyleFactory.
     - misc manpages: pre-release date update.
   * usbmount/x2gousbmount:
     - Fix typo int -> print. Fixes: #840.
     - Update copyright notice.
     - Fix left-over check_x2gothinclientd definition (should have been
       check_x2gothinclientmode).
   * debian/control:
     - Whitespace only.
     - x2gothinclient-cdmanager: drop libqt4-gui Depends. Already handled by
       libqt4-dev Build-Depends and shlibs and misc Depends.
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Resurrect x2go{thinclient-management,usbmount,cdmanager,smartcardrules}
       as dummy packages in the spirit of x2gothinclient for a smooth upgrade
       path.
     - mate-media-pulse and mate-settings-daemon-pulse are gone in Stretch.
       Depend on them lightly.
     - Replace iceweasel dependency with firefox-esr. All suites provide the
       newer name. Avoids an ugly outdated menu entry.
     - Build-depend upon Qt5 instead of Qt4.
     - Bump DH compat level to 9.
   * management/share/etc/x2gothinclient-minidesktop_start:
     - Correctly quote pactl command line arguments, avoids the shell
       interpreting the embedded semicolon as a command separator.
   * debian/po:
     - Minor fixup on author name.
     - Regenerate templates and files.
     - Update template with metadata.
     - fr.po: update metadata.
     - Update bugs address in template.
     - Update translation metadata.
     - da.po: fixup.
     - de.po: fixup.
   * debian/copyright:
     - Remove obsolete and wrong obviouslynice.de address.
   * debian/rules:
     - Whitespace only.
     - Switch to building cdmanager/powerej via Qt5.
     - Modernize respective build flags.
     - Add all clause.
     - Make sure to select Qt5 variant, even though we probably won't use
       debhelper to build Qt projects.
     - Call qmake instead of qmake-qt5.
   * debian/compat:
     - Bump DH compat level to 9.
 .
   [ Oleksandr Shneyder ]
   * x2gothinclientd: load config file when starting PulseAudio. Fixes: 1092.
   * upgrade to debian stretch.
   * set oldsatble to jessie in x2gothinclient_settings.
   * install linux-image-4.9.0-4-686 instead of dummy-package
   * add pxelinux in recommends for x2gothinclient-management
   * fix links in x2gothinclient_preptftpboot
   * fix link in x2gothinclient_create
   * install chroot for amd64
   * fix x2gothinclient_update to create files needed by x2gothinclientd
   * let user choose architecture by setting TC_ARCH variable. Default amd64.
   * improve support for gnupg and dbus.
   * modify x2gothinclientd to start scripts needed by gpg agent.
   * install meta-package for linux-image to get most recent version. Thanks to Mike for the hint.
   * start openbox to make xinerama work. Thanks to Walid Moghrabi for the hint.
   * fix Xorg checking in x2gothinclientd.
   * remove nomedeset option from x2go-tce.cfg. This option prevent loading of drm and disabling advanced graphic functions.
   * add openbox dependency.
   * do not start openbox any more. Xinerama issue should be fixed in x2goagent.
 .
   [ Martti Pitkänen ]
   * debian/po:
     + Add DebConf translation to Finnish.
 .
   [ Thierry Kauffmann ]
   * New upstream release (1.5.0.0):
     - debian/po: add French translation file.

Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 02 Dec 2018 03:20:07 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 02 Dec 2018 03:25:12 GMT) Full text and rfc822 format available.

Notification sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug acknowledged by developer. (Sun, 02 Dec 2018 03:25:13 GMT) Full text and rfc822 format available.

Message sent on to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug#840. (Sun, 02 Dec 2018 03:25:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 15 11:19:31 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.